Last modified: 2012-04-19 21:43:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20715 - Search & Replace: Cannot replace the exact word repeatedly in Opera
Search & Replace: Cannot replace the exact word repeatedly in Opera
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-18 09:31 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Bug Screen Shots (162.50 KB, application/msword)
2009-09-18 09:31 UTC, Calcey QA
Details

Description Calcey QA 2009-09-18 09:31:55 UTC
Created attachment 6563 [details]
Bug Screen Shots

Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Create new page with the following content in Opera
Calcey
Calcey
QACalcey
Calcey
2)Now click on "Serach and Replace" icon.
3)Provide "Calcey" in "Search for" field.
4)Provide "Test" in "Replace with" field.
5)Click "Replace" button 4 times.

Actual Outcome ::
System replace the word "Calcey" and display like follows,
TestTesty
QTestyTestey

Expected Outcome ::
System shall be replace the content as follows,
Test
Test
QATest
Test

Test Environment (Client) ::
Browser (User-Agent):  Opera/9.80 (Windows NT 6.0; U; en) Presto/2.2.15 Version/10.00
Javascript:Enabled
Cookies Enabled:Enabled
Java Enabled:Not Available/Enabled
CPU class/type:OS/CPU Windows NT 6.0
Screen Width x Height:1024 x 768
Screen Color Depth:32
Comment 1 Roan Kattouw 2009-09-21 18:05:52 UTC
Fixed in r56723.
Comment 2 Calcey QA 2009-09-22 05:12:13 UTC
Steps to Reproduce ::
1)Create new page with the following content in Opera
Calcey
Calcey
QACalcey
Calcey
2)Now click on "Serach and Replace" icon.
3)Provide "Calcey" in "Search for" field.
4)Provide "Test" in "Replace with" field.
5)Select "Replace all occurrences" option.
6)Click "Replace" button.

Actual Outcome ::
System replace the word "Calcey" and display like follows,
Calceyeyeyey
Test
QATest
Test

Expected Outcome ::
System shall be replace the content as follows,
Test
Test
QATest
Test
Comment 3 Roan Kattouw 2009-09-22 17:25:26 UTC
Oops, the fix for this bug broke "replace all" mode. Fixed in r56775
Comment 4 Calcey QA 2009-09-23 04:45:26 UTC
Working fine now.
Comment 5 Calcey QA 2009-09-29 05:01:56 UTC
Added keyword babaco to the bug

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links